package com.javacodegeeks.snippets.enterprise.javaexample;

import java.awt.Color;
import java.awt.FlowLayout;
import java.awt.GridLayout;
import java.awt.event.WindowAdapter;
import java.awt.event.WindowEvent;

import javax.swing.JFrame;
import javax.swing.JLabel;
import javax.swing.JPanel;



public class JPanelExample {
	
	   private JFrame mainFrame;
	   private JLabel headerLabel;
	   private JLabel statusLabel;
	   private JPanel controlPanel;
	   private JLabel msglabel;

	   public JPanelExample(){
	      prepareGUI();
	   }

	   public static void main(String[] args){
	      JPanelExample  swingContainerDemo = new JPanelExample();  
	      swingContainerDemo.showJPanelDemo();
	   }

	   private void prepareGUI(){
	      mainFrame = new JFrame("JPanel Example");
	      mainFrame.setSize(500,350);
	      mainFrame.setLayout(new GridLayout(5, 3));
	      mainFrame.addWindowListener(new WindowAdapter() {
	         public void windowClosing(WindowEvent windowEvent){
	            System.exit(0);
	         }        
	      });    
	      headerLabel = new JLabel("header", JLabel.CENTER);        
	      statusLabel = new JLabel("status",JLabel.CENTER);    

	      statusLabel.setSize(350,100);

	      msglabel = new JLabel("First JPanel Example", JLabel.CENTER);

	      controlPanel = new JPanel();
	      controlPanel.setLayout(new FlowLayout());

	      mainFrame.add(headerLabel);
	      mainFrame.add(controlPanel);
	      mainFrame.add(statusLabel);
	      mainFrame.setVisible(true);  
	   }


	   private void showJPanelDemo(){
	      headerLabel.setText("Container in action: JPanel");      

	      JPanel panel = new JPanel();
	      panel.setBackground(Color.pink);
	      panel.setLayout(new FlowLayout());        
	      panel.add(msglabel);

	      controlPanel.add(panel);        
	      mainFrame.setVisible(true);      
	   }   
}
